Skip to main content
GET
List Batch Jobs

Headers

reach-tenant-id
string

If using a platform scoped JWT, you can pass in a header to impersonate a specific tenant to impersonate the request as.

Query Parameters

cursor
string

Pagination cursor

limit
string | null

Number of results per page (Default: 20)

batchType
enum<string>

Optional batch type to filter by. If not provided, returns all batch types.

Available options:
PARTNER_RESOURCE_JSON_INGEST,
PARTNER_RESOURCE_BATCH_DELETE,
PARTNER_RESOURCE_BATCH_PATCH
sortBy
enum<string>

Optional field to sort by. Defaults to createdAt.

Available options:
createdAt,
startedAt,
completedAt
sortDirection
enum<string>

Optional sort direction. Defaults to desc.

Available options:
asc,
desc
includePendingDetails
enum<string>

Whether to include detailed information about pending resources and their dependencies

Available options:
true,
false
onlyBatchesWithPendingResources
enum<string>

Whether to only return batches that have pending resources (filters by pendingRecords > 0)

Available options:
true,
false

Response

Status 200 response

success
boolean
required
message
string
data
object